/***********************************************************************/
/*                                                                     */
/*                               Pio (C)                               */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*               EPI Pomdapi, INRIA Paris - Rocquencourt               */
/*                                                                     */
/*  Copyright 2011-2014 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Bruno Verlyck <Bruno.Verlyck@inria.fr>                             */
/*                                                                     */
/***********************************************************************/

#ifndef PIO_BUFFER_INCLUDED
#define PIO_BUFFER_INCLUDED

#include <stdlib.h>
#include <string.h>

typedef struct {
  size_t buf_position;
  size_t buf_length;
  char *buf_fer;
} pio_buffer;

size_t ensure (pio_buffer *buf, size_t more); /* needed by pio_ibuff */

void buf_create (pio_buffer *buf, size_t size);
void buf_add_char (pio_buffer *buf, char c);
void buf_add_chars_w_len (pio_buffer *buf, char *s, size_t len);
/* was: void buf_add_chars (pio_buffer *buf, char *s); */
#define buf_add_chars(buf, s) buf_add_chars_w_len (buf, s, strlen (s))
void buf_printf (pio_buffer *buf, char *format, ...);
struct string buf_contents (pio_buffer *buf);
void write_delimited_string (pio_buffer *ob, struct string s);
#endif
